## git-remote-bzr 0.2+20140705

=== Makefile ===
prefix := $(HOME)

bindir := $(prefix)/bin
mandir := $(prefix)/share/man/man1

all: doc

doc: doc/git-remote-bzr.1

test:
	$(MAKE) -C test

doc/git-remote-bzr.1: doc/git-remote-bzr.txt
	a2x -d manpage -f manpage $<

clean:
	$(RM) doc/git-remote-bzr.1

D = $(DESTDIR)

install:
	install -d -m 755 $(D)$(bindir)/
	install -m 755 git-remote-bzr $(D)$(bindir)/git-remote-bzr

install-doc: doc
	install -d -m 755 $(D)$(mandir)/
	install -m 644 doc/git-remote-bzr.1 $(D)$(mandir)/git-remote-bzr.1

.PHONY: all test install install-doc clean

=== test/Makefile ===
RM ?= rm -f

T = $(wildcard *.t)
TEST_DIRECTORY := $(CURDIR)

export TEST_DIRECTORY

all: test

test: $(T)
	$(MAKE) clean

$(T):
	$(SHELL) $@ $(TEST_OPTS)

clean:
	$(RM) -r 'trash directory'.* test-results

.PHONY: all test $(T) clean

=== debian/changelog ===
git-remote-bzr (0.2+20140705-2) unstable; urgency=medium

  * git-remote-bzr postinst: Remove obsolete alternatives no longer
    provided by the git-bzr package (Closes: #773196).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 17 Jan 2015 15:03:58 -0800

git-remote-bzr (0.2+20140705-1) unstable; urgency=low

  * Initial release (Closes: #702697).
  * Thanks to Sven Joachim for initial packaging work!

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 05 Jul 2014 10:33:58 -0700

=== debian/control ===
Source: git-remote-bzr
Section: vcs
Priority: extra
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Jonathan Nieder <jrnieder@gmail.com>, Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, xmlto,
# Needed for the testsuite
 bzr, git, python, python-bzrlib
Standards-Version: 3.9.5
Homepage: https://github.com/felipec/git-remote-bzr
Vcs-Git: git://anonscm.debian.org/collab-maint/git-remote-bzr.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/git-remote-bzr.git;a=summary

Package: git-remote-bzr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git, python, python-bzrlib
Suggests: git-doc, bzr
Conflicts: bzr-git
Breaks: git-bzr (<< 2:0.2+20140700)
Replaces: git-bzr
Description: bidirectional bridge between Git and Bazaar
 This package provides the bzr remote helper, which allows Git to
 read from and write to Bazaar repositories as though they were remote
 Git repositories.

Package: git-bzr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git-remote-bzr, 
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the git-bzr to the new git-remote-bzr package.
 You can remove it safely.

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

override_dh_auto_install:
	dh_auto_install -- prefix=/usr DESTDIR=debian/git-remote-bzr install-doc

override_dh_gencontrol:
	dh_gencontrol -Ngit-bzr
	dh_gencontrol -pgit-bzr -- -v2:$(version)

%:
	dh $@

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/git-remote-bzr-$1.tar.gz/" \
 https://github.com/felipec/git-remote-bzr/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## git-remote-bzr 0.3

=== debian/changelog ===
git-remote-bzr (0.3-2) unstable; urgency=medium

  * Remove git-bzr transitional package (Closes: #878533).

  * Update Standards-Version to Debian Policy 4.1.1:
    - Change priority to optional, as extra was deprecated.
    - Use https URL for copyright-format.

  * Build with Use debhelper compat level 10.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 14 Oct 2017 18:42:16 -0700

git-remote-bzr (0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git to use https URL.
  * Update to Standards-Version 3.9.8, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 May 2016 19:36:10 -0700

=== debian/control ===
Source: git-remote-bzr
Section: vcs
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Jonathan Nieder <jrnieder@gmail.com>, Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: asciidoc, xmlto,
# Needed for the testsuite
 bzr, git, python, python-bzrlib
Standards-Version: 4.1.1
Homepage: https://github.com/felipec/git-remote-bzr
Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-remote-bzr.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/git-remote-bzr.git;a=summary

Package: git-remote-bzr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git, python, python-bzrlib
Suggests: git-doc, bzr
Conflicts: bzr-git
Breaks: git-bzr (<< 2:0.2+20140700)
Replaces: git-bzr
Description: bidirectional bridge between Git and Bazaar
 This package provides the bzr remote helper, which allows Git to
 read from and write to Bazaar repositories as though they were remote
 Git repositories.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- prefix=/usr DESTDIR=debian/git-remote-bzr install-doc

%:
	dh $@
